Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.components.jms
Class JNDIVendorAdapter

    java.lang.Object
      |
      +--org.apache.axis.components.jms.JMSVendorAdapter
            |
            +--org.apache.axis.components.jms.JNDIVendorAdapter

public class JNDIVendorAdapter
extends JMSVendorAdapter

Uses JNDI to locate ConnectionFactory and Destinations

Author:
  Jaime Meritt (jmeritt@sonicsoftware.com)

Field Summary
`static java.lang.String` | `CONNECTION_FACTORY_JNDI_NAME`

Constructor Summary
`JNDIVendorAdapter()`

Method Summary
`javax.jms.Queue` | `getQueue(javax.jms.QueueSession session, java.lang.String name)`
`javax.jms.QueueConnectionFactory` | `getQueueConnectionFactory(java.util.HashMap cfConfig)`
`javax.jms.Topic` | `getTopic(javax.jms.TopicSession session, java.lang.String name)`
`javax.jms.TopicConnectionFactory` | `getTopicConnectionFactory(java.util.HashMap cfConfig)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONNECTION_FACTORY_JNDI_NAME

    public static final java.lang.String CONNECTION_FACTORY_JNDI_NAME

Constructor Detail

### JNDIVendorAdapter

    public JNDIVendorAdapter()

Method Detail

### getQueueConnectionFactory

    public javax.jms.QueueConnectionFactory getQueueConnectionFactory(java.util.HashMap cfConfig)
                                                               throws java.lang.Exception

  Overrides:
    `getQueueConnectionFactory` in class `JMSVendorAdapter`

### getTopicConnectionFactory

    public javax.jms.TopicConnectionFactory getTopicConnectionFactory(java.util.HashMap cfConfig)
                                                               throws java.lang.Exception

  Overrides:
    `getTopicConnectionFactory` in class `JMSVendorAdapter`

### getQueue

    public javax.jms.Queue getQueue(javax.jms.QueueSession session,
                                    java.lang.String name)
                             throws java.lang.Exception

  Overrides:
    `getQueue` in class `JMSVendorAdapter`

### getTopic

    public javax.jms.Topic getTopic(javax.jms.TopicSession session,
                                    java.lang.String name)
                             throws java.lang.Exception

  Overrides:
    `getTopic` in class `JMSVendorAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.